Bug 141818 - BIND GUI bugs SOA formatting
BIND GUI bugs SOA formatting
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-bind (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: 189875
  Show dependency treegraph
 
Reported: 2004-12-03 16:55 EST by Nick Fisher
Modified: 2011-02-18 04:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-18 04:16:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Fisher 2004-12-03 16:55:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
There are two problems I think I have found with the BIND GUI.

1) When creating a new zone using the GUI, the tool puts the 'primary
nameserver' as the first feild in the SOA. This should be the domain
name or @. The primary namserver should be the fourth feild. The
primary nameserver feild is *always* set to localhost by the GUI.

2) Apparently named.custom is for putting unsupported config vars
into. However it's not included in the main named.conf. How are the
directives in that file ever going to be used? I'm guessing that the
default named.conf should also have an 'include' line that includes
named.custom. Having said that, in the current deployment, including
the custom file would lead to two options directives and two "."
zones. I'm having trouble seeing how named.custom is supposed to be used.

Version-Release number of selected component (if applicable):
redhat-config-bind-2.0.0-14.2

How reproducible:
Always

Steps to Reproduce:
1. Start redhat-config-bind
2. Make a new zone and save
    

Actual Results:  $TTL 86400
primary.nameserver.name.        IN      SOA     localhost       root    (
                                4 ; serial
                                28800 ; refresh
                                14400 ; retry
                                3600000 ; expire
                                86400 ; ttl
                                )


Expected Results:  $TTL 86400
test.domain.        IN      SOA     primary.nameserver.name. root    (
                                4 ; serial
                                28800 ; refresh
                                14400 ; retry
                                3600000 ; expire
                                86400 ; ttl
                                )


Additional info:
Comment 1 Jason Vas Dias 2004-12-06 11:34:58 EST
Yes, there are alot of problems with the current system-config-bind .
I am just completing a complete rewrite which should be done this week,
and which does not have this problem.
I'll update this bug when it is released.
Comment 2 Nick Fisher 2004-12-23 15:50:49 EST
Well I can only assume that the updated packages I got today included
the new tool. Totaly against the 'rpm way' they blew away my
named.conf and replaced it with a new config file.

It's also still not at all clear how or when you are supposed to use
named.custom.
"""
# Any changes not currently supported by redhat-config-bind should be put
# in this file.
"""

All well and good but nowhere does it say what isn't currently
supported by redhat-config-bind.

As before, all I can do is not use the GUI in fear that it will mess
things up. Oh and keep a backup copy of the named.conf incase any of
hte new RPMs eat it again.
Comment 3 Jason Vas Dias 2005-06-02 21:41:41 EDT
A version which fixes these problems, redhat-config-bind-4.0.0-16,
is now submitted to RHEL-3 and should be in RHEL-3-U6 . Meanwhile,
it can be downloaded from: 
http://people.redhat.com/~jvdias/redhat-config-bind
It definitely writes correct SOA records and supports all named.conf
constructs and so no longer requires named.custom .
Please try out this version and let me know of any issues - thank you.

Note You need to log in before you can comment on or make changes to this bug.